View Issue Details

IDProjectCategoryView StatusLast Update
0031012RunnerMacPublic2019-09-09 16:13
ReporterYellowAfterlifeAssigned ToFritz 
PriorityLowSeverityC - GeneralReproducibility100%
Status ClosedResolutionFixed 
PlatformMacOSmacOSOS Version
Product Version2.2.3 
Target Version2.2.4Fixed in Version2.2.4 
Summary0031012: Mac: http_request with a buffer body ignores the "method" and does a POST instead
DescriptionPHP:
<?php
echo $_SERVER['REQUEST_METHOD'] . ' ' . time();
?>

GML:
var b = buffer_create(512, buffer_grow, 1);
buffer_write(b, buffer_string, "?");
var url = "http://yal.cc/ping/method/";
var h = json_decode(@'{ "Content-Length": "1" }');
http_request(url, "GET", h, b);


Windows:
{ "response_headers": 1.000000, "http_status": 200.000000, "url": "http:\/\/yal.cc\/ping\/method\/", "id": 0.000000, "status": 0.000000, "result": "GET 1559797404" }
OSX:
{ "response_headers": 1.000000, "http_status": 200.000000, "url": "http:\/\/yal.cc\/ping\/method\/", "id": 0.000000, "status": 0.000000, "result": "POST 1559797436" }
Tagsbsc, functions, mac, Runner
1.4 Found In
2.x Runtime Found In9.9.1.1455
2.x Runtime Verified In2.2.4.355

Activities

YellowAfterlife

2019-06-06 06:09

Developer  

http_request_osx_buffer_post.yyz (20,320 bytes)

Fritz

2019-08-20 15:39

Manager   ~0064598

This is fixed if you pass an empty buffer, but will still convert to a post if you pass a non-empty buffer. The enclosed sample passes a 1 byte buffer so still gets converted to a "POST" request by ASI

Dan

2019-08-21 11:32

Adminstrator   ~0064602

Runtime 347+

Scott Dunbar

2019-09-09 16:13

Adminstrator   ~0064758

Verified fixed in 2.2.4.355